import time
import traceback



import java.math.BigInteger as BigInteger
import java.net.URI as URI
import java.util.Arrays as Arrays
import java.util.HashSet as HashSet
import java.util.Random as Random
import java.util.Collections as Collections
import java.util.logging.Level as Level
 
import geniusweb.party.Capabilities as Capabilities
import geniusweb.party.DefaultParty as DefaultParty


import com.fasterxml.jackson.databind.ObjectMapper as ObjectMapper

class TestParty (DefaultParty):
	"""
	A simple party that places random bids and accepts when it receives an offer
	with sufficient utility.
	"""

	# Override
	def notifyChange(self, info):
		pass		

	# Override
	def getCapabilities(self): # -> Capabilities
		pass
		
	# Override
	def getDescription(self):
		return "places random bids until it can accept an offer with utility >0.6. Python version"

	# Override
	def terminate(self):
		pass

