package geniusweb.domaineditor.model;

import geniusweb.issuevalue.ValueSet;
import tudelft.utilities.mvc.model.BasicModel;
import tudelft.utilities.mvc.model.ListModel;
import tudelft.utilities.mvc.model.TypedModel;

/**
 * Contains a {@link ValueSet}. See the DiscreteValueSetModel- and
 * {@link NumberValueSetModel}
 *
 */
public interface ValueSetModel extends TypedModel<ValueSet> {
	/**
	 * 
	 * @return first value in the model
	 */
	BasicModel first();

	/**
	 * 
	 * @return {@link ListModel} with the available values. This ListModel may
	 *         not support edit actions.
	 */
	public ListModel<? extends BasicModel> getList();

}
