package geniusweb.domaineditor.panels.profile;

import java.awt.GridLayout;

import javax.swing.JPanel;

import geniusweb.domaineditor.model.profile.NumberValueSetUtilitiesModel;
import tudelft.utilities.mvc.panels.NumberPanel;
import tudelft.utilities.mvc.panels.SliderPanel;

/**
 * View/Controller of the {@link NumberValueSetUtilitiesModel}. Allows the user
 * to change utilities of the low and high point.
 */
@SuppressWarnings("serial")
public class NumberValueSetUtilitiesPanel extends JPanel {
	private final NumberValueSetUtilitiesModel model;

	public NumberValueSetUtilitiesPanel(NumberValueSetUtilitiesModel model) {
		this.model = model;
		setLayout(new GridLayout(2, 2));
		add(new NumberPanel(model.getLowValue()));
		add(new SliderPanel(model.getLowUtility()));
		add(new NumberPanel(model.getHighValue()));
		add(new SliderPanel(model.getHighUtility()));
	}
}
